// JavaScript Document
$(document).ready(function(e) {
    $( "#boxItensPacote, #pnLocProdutoLista, #boxProduto, #pnItensProdutosPrincipal" ).tabs({});

		CarregarInformativo('0');

		$('#pnNovoPacote').dialog({
			autoOpen: false,
			modal: true,
			resizable: false,
			height : 300, // altura
			width  : 550, // largura
			buttons : {
						'Salvar' :function(){	
												var NomePacote   = $('#edtNomePacote').val();
												var ValorPaconte = $('#edtValorPaconte').val(); 
												var ObsPacote = $('#edtObsPacote').val(); 
												 if(NomePacote == ''){
													show('O nome é um campo obrigatório');	
													return false;
												}
												$(this).dialog('close');
												
												SalvarNovoPacote(NomePacote,ValorPaconte, ObsPacote);
												
											
											},
						'Cancelar':function(){$(this).dialog('close');}
					  }
		});
		
		
		$('#btnNovoPacote').on('click',function(){
		  $('#pnNovoPacote').dialog('open');

		})
		
		
		
		// Localizar Itens
		$( "#pnLocalizarPacote").dialog({
			autoOpen: false,
			modal: true,
			resizable: false,
			height : 450, // altura
			width  : 750 // largura
		});
			
		
		$("#btnLocalizarPacote").on('click',function(){
			$( "#pnLocalizarPacote").dialog('open');
		})	
		
		
		$('#boxAddProduto').dialog({
			autoOpen: false,
			modal: true,
			height: 600,
			width: 705,
			resizable : false,
			close: function(){}
	    })
	 
	 	$("#btnAdicionarItens").on('click',function(){
		  ListaItensPacote();
		  $('#boxAddProduto').dialog('open');		 	
		})
	 
		
				
				
});


function SalvarNovoPacote(nome, valor, obs){

			$.ajax({
			 type: "POST",
			 url: "pacotes/ax_pacotes.php",
			 data: 'ax=insertPacote&nome='+nome+'&valor='+valor+'&obs='+obs, 
			 beforeSend: function(){$("#pnInformativoPacote").html(Load()).fadeIn('slow');},
			 success: function(R){ CarregarInformativo(R);} 
			}) //fim ajax
			return true;
	
};


function ListaItensPacote(){
			$.ajax({
			 type: "POST",
			 url: "pacotes/itens_pacote.php",
			 data: 'a', 
			 beforeSend: function(){$('#boxItensPacote').html(Load())},
			 success: function(R){$('#boxItensPacote').html(R);},
			 error: function(R){ $("#boxItensPacote").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
								  $("#boxItensPacote").addClass('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax		
}


function CarregarInformativo(id_iten){
			 $.ajax({
			 type: "POST",
			 url: "pacotes/informativo.php",
			 data:'id='+id_iten,  
			 beforeSend: function(){$("#pnInformativoPacote").html(Load()).fadeIn('slow');},
			 success: function(R){ $("#pnInformativoPacote").html(R).fadeIn('fast')},
			 error: function(R){ $("#pnInformativoPacote").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
								  $("#pnInformativoPacote").addClass('ui-state-error ui-corner-all');
								  } 
			}) //fim ajax
			return false;	
}
